Package org.sonatype.maven.polyglot.groovy.builder.factory

# Class StringFactory

java.lang.Object
groovy.util.AbstractFactory
org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory
org.sonatype.maven.polyglot.groovy.builder.factory.StringFactory

All Implemented Interfaces:
  `groovy.util.Factory`

public class StringFactory extends NamedFactory
Builds string nodes.

Since:
  0.7
Author:
  Jason Dillon

## Nested Class Summary

## Nested classes/interfaces inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`NamedFactory.NodeValueParseException`

## Constructor Summary

Constructors
Constructor
Description
`StringFactory(String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLeaf()`
`Object`
`newInstance(groovy.util.FactoryBuilderSupport builder, Object name, Object value, Map attrs)`

### Methods inherited from class org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory

`getName, setParent, toString`

### Methods inherited from class groovy.util.AbstractFactory

`isHandlesNodeChildren, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringFactory

public StringFactory(String name)

## Method Details

### isLeaf

public boolean isLeaf()

Specified by:
  `isLeaf` in interface `groovy.util.Factory`
Overrides:
  `isLeaf` in class `groovy.util.AbstractFactory`

### newInstance

public Object newInstance(groovy.util.FactoryBuilderSupport builder, Object name, Object value, Map attrs)